# Uses of Class
com.google.protobuf.MapField

Packages that use MapField
Package
Description
com.google.protobuf
com.ocient.jdbc.proto

## Uses of MapField in com.google.protobuf

Methods in com.google.protobuf that return MapField
Modifier and Type
Method
Description
`MapField<K,V>`
MapField.`copy()`
Returns a deep copy of this MapField.
`static <K, V> MapField<K,V>`
MapField.`emptyMapField(MapEntry<K,V> defaultEntry)`
Returns an immutable empty MapField.
`protected MapField`
GeneratedMessage.Builder.`internalGetMapField(int fieldNumber)`
Gets the map field with the given field number.
`protected MapField`
GeneratedMessage.`internalGetMapField(int fieldNumber)`
Gets the map field with the given field number.
`protected MapField`
GeneratedMessageV3.Builder.`internalGetMapField(int fieldNumber)`
Gets the map field with the given field number.
`protected MapField`
GeneratedMessageV3.`internalGetMapField(int fieldNumber)`
Gets the map field with the given field number.
`protected MapField`
Struct.Builder.`internalGetMapField(int number)`
`protected MapField`
Struct.`internalGetMapField(int number)`
`protected MapField`
GeneratedMessage.Builder.`internalGetMutableMapField(int fieldNumber)`
Like `GeneratedMessage.Builder.internalGetMapField(int)` but return a mutable version.
`protected MapField`
GeneratedMessageV3.Builder.`internalGetMutableMapField(int fieldNumber)`
Like `GeneratedMessageV3.Builder.internalGetMapField(int)` but return a mutable version.
`protected MapField`
Struct.Builder.`internalGetMutableMapField(int number)`
`static <K, V> MapField<K,V>`
MapField.`newMapField(MapEntry<K,V> defaultEntry)`
Creates a new mutable empty MapField.
Methods in com.google.protobuf with parameters of type MapField
Modifier and Type
Method
Description
`void`
MapField.`mergeFrom(MapField<K,V> other)`
`protected static <V> void`
GeneratedMessageV3.`serializeBooleanMapTo(CodedOutputStream out, MapField<Boolean,V> field, MapEntry<Boolean,V> defaultEntry, int fieldNumber)`
`protected static <V> void`
GeneratedMessageV3.`serializeIntegerMapTo(CodedOutputStream out, MapField<Integer,V> field, MapEntry<Integer,V> defaultEntry, int fieldNumber)`
`protected static <V> void`
GeneratedMessageV3.`serializeLongMapTo(CodedOutputStream out, MapField<Long,V> field, MapEntry<Long,V> defaultEntry, int fieldNumber)`
`protected static <V> void`
GeneratedMessageV3.`serializeStringMapTo(CodedOutputStream out, MapField<String,V> field, MapEntry<String,V> defaultEntry, int fieldNumber)`

## Uses of MapField in com.ocient.jdbc.proto

Methods in com.ocient.jdbc.proto that return MapField
Modifier and Type
Method
Description
`protected MapField`
ClientWireProtocol.FetchMetadataResponse.Builder.`internalGetMapField(int number)`
`protected MapField`
ClientWireProtocol.FetchMetadataResponse.`internalGetMapField(int number)`
`protected MapField`
ClientWireProtocol.FetchMetadataResponse.Builder.`internalGetMutableMapField(int number)`